Bug 37764 - IsBlank() returns False for an empty field in other ods file
Summary: IsBlank() returns False for an empty field in other ods file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:3.5 target:3.4.1
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-30 12:24 UTC by Midiar
Modified: 2011-06-17 14:40 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Zip file containg data.ods and formula.ods (10.98 KB, application/zip)
2011-05-30 12:24 UTC, Midiar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Midiar 2011-05-30 12:24:09 UTC
Created attachment 47336 [details]
Zip file containg data.ods and formula.ods

Using LibO_3.4.0rc2_MacOS_x86_install_en-US, I get the wrong result from the IsBlank() function when it is referencing a cell in another ods file.

I have attached a zip with 2 sample files. The file data.ods has an empty A1, formulas with IsBlank() in A2 and A3, showing the correct result.

The file formula.ods has the corresponding formulas in A2 and A3, but referencing A1 from data.ods. And A2 and A3 displays the wrong output.
Comment 1 Don't use this account, use tml@iki.fi 2011-05-31 01:35:42 UTC
Kohei...
Comment 2 Kohei Yoshida 2011-06-09 15:32:21 UTC
Fixed on master (for 3.5).

http://cgit.freedesktop.org/libreoffice/calc/commit/?id=e89169562aa48ed38f3e4c91a9d79346c7602bf9

Let me send a request for review to the list shortly... (for 3.4.1).
Comment 3 Rainer Bielefeld Retired 2011-06-10 02:58:37 UTC
RC2 is bit by bit identical with release version, so separate items in the version picker are useless. Changes have been discussed with Michael Meeks.
Comment 4 Midiar 2011-06-17 14:40:26 UTC
Just tried it in LibO_3.4.1rc1_MacOS_x86_install_en-US. The sample files now behaved correctly. Also tried it in the bigger ods file where I noticed the bug, and IsBlank() also behaved correctly there.